/*
 * Display and keyboard backlight daemon for Sony laptops
 *
 * Copyright (C) 2011 Tu Vuong <vanhtu1987@gmail.com>
 *
 * ud_connect() and read_line() were copied and adapted from acpid 1.x
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef  FILE_FUNCS_INC
#define  FILE_FUNCS_INC

#include <fcntl.h>
#include <stdio.h>
#include <errno.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
#include <unistd.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <sys/types.h>
#include <dirent.h>

FILE* open_file(char const* path, char const* mode);

/* Caller is responsible for freeing the returned pointer */
char const* get_first_backlight_device_name();

int read_int_from_file(char const* path);
void write_int_to_file(char const* path, int val);
void read_hex_from_file(char const* path, int* array, int* size);
float read_float_from_file(char const* path);

int ud_connect(char const* name);

char* read_line(int fd);

#endif   /* ----- #ifndef FILE_FUNCS_INC  ----- */

